@version 2.0
@script modeler
@warnings

main
{
	return if(!pointcount());
	selmode(USER);
	axis = integer(recall("Axis",2));
	angle = integer(recall("Angle",0.0));

	reqbegin("Rotate(i) fmano:2001");

	a00 = ctlchoice("Rotate At",1,@"Geometry","Zero Axis"@);
	a0 = ctlchoice("Axis",axis,@"X(zy)","Y(xz)","Z(xy)"@);
	a1 = ctlchoice("Primary Sense",3,@"-","+","mid"@);
	a2 = ctlchoice("Secondary Sense",3,@"-","+","mid"@);
	a3 = ctlnumber("Angle",angle);

	return if(!reqpost());

	ref = getvalue(a00);
	store("Axis",(axis = getvalue(a0)));
	store("Sense1",(sense1 = getvalue(a1)));
	store("Sense2",(sense2 = getvalue(a2)));
	store("Angle",(angle = getvalue(a3)));
	
	reqend();

	selhide(UNSELECTED);
	if(ref == 1)
	{
		bb = boundingbox();
		center = center(bb);
		if(axis == 1)
		{
			if(sense1 == 1)
				sz = bb[1].z;
			if(sense1 == 2)
				sz = bb[2].z;
			if(sense1 == 3)
				sz = center.z;
			if(sense2 == 1)
				sy = bb[1].y;
			if(sense2 == 2)
				sy = bb[2].y;
			if(sense2 == 3)
				sy = center.y;
			sx = <0,0,0>;
		}
		if(axis == 2)
		{
			if(sense1 == 1)
				sx = bb[1].x;
			if(sense1 == 2)
				sx = bb[2].x;
			if(sense1 == 3)
				sx = center.x;
			if(sense2 == 1)
				sz = bb[1].z;
			if(sense2 == 2)
				sz = bb[2].z;
			if(sense2 == 3)
				sz = center.z;
			sy = <0,0,0>;
		}
		if(axis == 3)
		{
			if(sense1 == 1)
				sx = bb[1].x;
			if(sense1 == 2)
				sx = bb[2].x;
			if(sense1 == 3)
				sx = center.x;
			if(sense2 == 1)
				sy = bb[1].y;
			if(sense2 == 2)
				sy = bb[2].y;
			if(sense2 == 3)
				sy = center.y;
			sz = <0,0,0>;
		}
		s = <sx,sy,sz>;
	}
	if(ref == 2)
		s = <0.0,0.0,0.0>;
		
	selpolygon(SET);

	rotate(angle,axis,s);
	selunhide();
}
